babel基本配置

安装

安装babel需要node环境,目前的node版本是9.0,推荐安装较高版本的node,因为有些低版本的node是不支持安装一些npm包的。

babel作为打包工具应该只是在开发阶段使用,所以安装的时候可以将其安装在devdDpendencies

npm install --save-dev babel

安装后需要在项目中添加.babelrc文件,这是babel配置文件,主要是对presets, plugin这两个属性的配置

{
    "presets":[],
    "plugin":[]
}

到这babel的安装基本完成了,现在我们只需要添加配置了。

配置

配置文件中的两个数组,分别是presets(预设),plugin(插件)

presets(预设):预设其实就是一组插件的集合,我们可以做出自己的预设
plugin(插件):代码转换需要用到的

常用预设和插件

babel-presets-es2015: 转换ES6->ES5

babel-core: babel核心

babel-plugin-transform-runtime: 实时编译

babel插件列表

本文固定链接:

Babel笔记-入门

http://www.js-code.com/node-js/node-js_35323.html

80%的人都看过